Index: /branches/UKMO/dev_r5518_AMM15_package/NEMOGCM/TOOLS/SIREN/src/variable.f90
===================================================================
--- /branches/UKMO/dev_r5518_AMM15_package/NEMOGCM/TOOLS/SIREN/src/variable.f90	(revision 10250)
+++ /branches/UKMO/dev_r5518_AMM15_package/NEMOGCM/TOOLS/SIREN/src/variable.f90	(revision 10251)
@@ -2710,7 +2475,5 @@
    &                                    dd_min, dd_max,           &
    &                                    ld_contiguous, ld_shuffle,&
-   &                                    ld_fletcher32, id_deflvl, id_chunksz, &
-   &                                    cd_interp, cd_extrap, cd_filter, &
-   &                                    cd_unt, dd_unf)
+   &                                    ld_fletcher32, id_deflvl, id_chunksz)
 
       IMPLICIT NONE
@@ -2741,9 +2504,4 @@
       INTEGER(i4)     ,                       INTENT(IN), OPTIONAL :: id_deflvl
       INTEGER(i4)     , DIMENSION(ip_maxdim), INTENT(IN), OPTIONAL :: id_chunksz
-      CHARACTER(LEN=*), DIMENSION(2)        , INTENT(IN), OPTIONAL :: cd_interp
-      CHARACTER(LEN=*), DIMENSION(1)        , INTENT(IN), OPTIONAL :: cd_extrap
-      CHARACTER(LEN=*), DIMENSION(5)        , INTENT(IN), OPTIONAL :: cd_filter
-      CHARACTER(LEN=*),                       INTENT(IN), OPTIONAL :: cd_unt
-      REAL(dp)        ,                       INTENT(IN), OPTIONAL :: dd_unf
 
       ! local variable
@@ -2791,9 +2549,5 @@
       &                         ld_fletcher32=ld_fletcher32,        &
       &                         id_deflvl=id_deflvl,                &
-      &                         id_chunksz=id_chunksz(:),           &
-      &                         cd_interp=cd_interp(:),             &
-      &                         cd_extrap=cd_extrap(:),             &
-      &                         cd_filter=cd_filter(:),             &
-      &                         cd_unt=cd_unt, dd_unf=dd_unf)
+      &                         id_chunksz=id_chunksz(:))
       
       DEALLOCATE( dl_value )
@@ -2817,9 +2571,5 @@
    !
    !> @author J.Paul
-   !> @date November, 2013 - Initial Version
-   !> @date June, 2015
-   !> - add interp, extrap, and filter argument
-   !> @date July, 2015
-   !> - add unit factor (to change unit)
+   !> - November, 2013- Initial Version
    !
    !> @param[in] cd_name         variable name
@@ -2851,9 +2601,4 @@
    !> deflation is in use
    !> @param[in] id_chunksz      chunk size
-   !> @param[in] cd_interp       interpolation method
-   !> @param[in] cd_extrap       extrapolation method
-   !> @param[in] cd_filter       filter method
-   !> @param[in] cd_unt          new units (linked to units factor)
-   !> @param[in] dd_unf          units factor
    !> @return variable structure
    !-------------------------------------------------------------------
@@ -2866,7 +2611,5 @@
    &                                    dd_min, dd_max,           &
    &                                    ld_contiguous, ld_shuffle,&
-   &                                    ld_fletcher32, id_deflvl, id_chunksz, &
-   &                                    cd_interp, cd_extrap, cd_filter, &
-   &                                    cd_unt, dd_unf)
+   &                                    ld_fletcher32, id_deflvl, id_chunksz)
 
       IMPLICIT NONE
@@ -2897,9 +2640,4 @@
       INTEGER(i4)     ,                       INTENT(IN), OPTIONAL :: id_deflvl
       INTEGER(i4)     , DIMENSION(ip_maxdim), INTENT(IN), OPTIONAL :: id_chunksz
-      CHARACTER(LEN=*), DIMENSION(2)        , INTENT(IN), OPTIONAL :: cd_interp
-      CHARACTER(LEN=*), DIMENSION(1)        , INTENT(IN), OPTIONAL :: cd_extrap
-      CHARACTER(LEN=*), DIMENSION(5)        , INTENT(IN), OPTIONAL :: cd_filter
-      CHARACTER(LEN=*),                       INTENT(IN), OPTIONAL :: cd_unt
-      REAL(dp)        ,                       INTENT(IN), OPTIONAL :: dd_unf
 
       ! local variable
@@ -2948,9 +2686,5 @@
       &                         ld_fletcher32=ld_fletcher32,        &
       &                         id_deflvl=id_deflvl,                &
-      &                         id_chunksz=id_chunksz(:),           &
-      &                         cd_interp=cd_interp(:),             &
-      &                         cd_extrap=cd_extrap(:),             &
-      &                         cd_filter=cd_filter(:),             &
-      &                         cd_unt=cd_unt, dd_unf=dd_unf)
+      &                         id_chunksz=id_chunksz(:))
       
       DEALLOCATE( dl_value )
@@ -2974,9 +2708,5 @@
    !
    !> @author J.Paul
-   !> @date November, 2013 - Initial Version
-   !> @date June, 2015
-   !> - add interp, extrap, and filter argument
-   !> @date July, 2015
-   !> - add unit factor (to change unit)
+   !> - November, 2013- Initial Version
    !
    !> @param[in] cd_name         variable name
@@ -3008,9 +2738,4 @@
    !> deflation is in use
    !> @param[in] id_chunksz      chunk size
-   !> @param[in] cd_interp       interpolation method
-   !> @param[in] cd_extrap       extrapolation method
-   !> @param[in] cd_filter       filter method
-   !> @param[in] cd_unt          new units (linked to units factor)
-   !> @param[in] dd_unf          units factor
    !> @return variable structure
    !-------------------------------------------------------------------
@@ -3023,7 +2748,5 @@
    &                                 dd_min, dd_max,           &
    &                                 ld_contiguous, ld_shuffle,&
-   &                                 ld_fletcher32, id_deflvl, id_chunksz, &
-   &                                 cd_interp, cd_extrap, cd_filter, &
-   &                                 cd_unt, dd_unf)
+   &                                 ld_fletcher32, id_deflvl, id_chunksz)
 
       IMPLICIT NONE
@@ -3054,10 +2777,4 @@
       INTEGER(i4)     ,                       INTENT(IN), OPTIONAL :: id_deflvl
       INTEGER(i4)     , DIMENSION(ip_maxdim), INTENT(IN), OPTIONAL :: id_chunksz
-      CHARACTER(LEN=*), DIMENSION(2)        , INTENT(IN), OPTIONAL :: cd_interp
-      CHARACTER(LEN=*), DIMENSION(1)        , INTENT(IN), OPTIONAL :: cd_extrap
-      CHARACTER(LEN=*), DIMENSION(5)        , INTENT(IN), OPTIONAL :: cd_filter
-      CHARACTER(LEN=*),                       INTENT(IN), OPTIONAL :: cd_unt
-      REAL(dp)        ,                       INTENT(IN), OPTIONAL :: dd_unf
-
 
       ! local variable
@@ -3107,9 +2824,5 @@
       &                      ld_fletcher32=ld_fletcher32,        &
       &                      id_deflvl=id_deflvl,                &
-      &                      id_chunksz=id_chunksz(:),           &
-      &                      cd_interp=cd_interp(:),             &
-      &                      cd_extrap=cd_extrap(:),             &
-      &                      cd_filter=cd_filter(:),             &
-      &                      cd_unt=cd_unt, dd_unf=dd_unf)
+      &                      id_chunksz=id_chunksz(:))
       
       DEALLOCATE( dl_value )
@@ -3133,9 +2846,5 @@
    !
    !> @author J.Paul
-   !> @date November, 2013 - Initial Version
-   !> @date June, 2015
-   !> - add interp, extrap, and filter argument
-   !> @date July, 2015
-   !> - add unit factor (to change unit)
+   !> - November, 2013- Initial Version
    !
    !> @param[in] cd_name         variable name
@@ -3167,9 +2876,4 @@
    !> deflation is in use
    !> @param[in] id_chunksz      chunk size
-   !> @param[in] cd_interp       interpolation method
-   !> @param[in] cd_extrap       extrapolation method
-   !> @param[in] cd_filter       filter method
-   !> @param[in] cd_unt          new units (linked to units factor)
-   !> @param[in] dd_unf          units factor
    !> @return variable structure
    !-------------------------------------------------------------------
@@ -3182,7 +2886,5 @@
    &                                    dd_min, dd_max,           &
    &                                    ld_contiguous, ld_shuffle,&
-   &                                    ld_fletcher32, id_deflvl, id_chunksz, &
-   &                                    cd_interp, cd_extrap, cd_filter, &
-   &                                    cd_unt, dd_unf)
+   &                                    ld_fletcher32, id_deflvl, id_chunksz)
 
       IMPLICIT NONE
@@ -3213,9 +2915,4 @@
       INTEGER(i4)     ,                       INTENT(IN), OPTIONAL :: id_deflvl
       INTEGER(i4)     , DIMENSION(ip_maxdim), INTENT(IN), OPTIONAL :: id_chunksz
-      CHARACTER(LEN=*), DIMENSION(2)        , INTENT(IN), OPTIONAL :: cd_interp
-      CHARACTER(LEN=*), DIMENSION(1)        , INTENT(IN), OPTIONAL :: cd_extrap
-      CHARACTER(LEN=*), DIMENSION(5)        , INTENT(IN), OPTIONAL :: cd_filter
-      CHARACTER(LEN=*),                       INTENT(IN), OPTIONAL :: cd_unt
-      REAL(dp)        ,                       INTENT(IN), OPTIONAL :: dd_unf
 
       ! local variable
@@ -3261,9 +2958,5 @@
       &                         ld_fletcher32=ld_fletcher32,        &
       &                         id_deflvl=id_deflvl,                &
-      &                         id_chunksz=id_chunksz(:),           &
-      &                         cd_interp=cd_interp(:),             &
-      &                         cd_extrap=cd_extrap(:),             &
-      &                         cd_filter=cd_filter(:),             &
-      &                         cd_unt=cd_unt, dd_unf=dd_unf)
+      &                         id_chunksz=id_chunksz(:))
  
       DEALLOCATE( dl_value )
@@ -3287,9 +2980,5 @@
    !
    !> @author J.Paul
-   !> @date November, 2013 - Initial Version
-   !> @date June, 2015
-   !> - add interp, extrap, and filter argument
-   !> @date July, 2015
-   !> - add unit factor (to change unit)
+   !> - November, 2013- Initial Version
    !
    !> @param[in] cd_name         variable name
@@ -3321,9 +3010,4 @@
    !> deflation is in use
    !> @param[in] id_chunksz      chunk size
-   !> @param[in] cd_interp       interpolation method
-   !> @param[in] cd_extrap       extrapolation method
-   !> @param[in] cd_filter       filter method
-   !> @param[in] cd_unt          new units (linked to units factor)
-   !> @param[in] dd_unf          units factor
    !> @return variable structure
    !-------------------------------------------------------------------
@@ -3336,7 +3020,5 @@
    &                                    dd_min, dd_max,           &
    &                                    ld_contiguous, ld_shuffle,&
-   &                                    ld_fletcher32, id_deflvl, id_chunksz, &
-   &                                    cd_interp, cd_extrap, cd_filter, &
-   &                                    cd_unt, dd_unf)
+   &                                    ld_fletcher32, id_deflvl, id_chunksz)
 
       IMPLICIT NONE
@@ -3367,9 +3049,4 @@
       INTEGER(i4)     ,                       INTENT(IN), OPTIONAL :: id_deflvl
       INTEGER(i4)     , DIMENSION(ip_maxdim), INTENT(IN), OPTIONAL :: id_chunksz
-      CHARACTER(LEN=*), DIMENSION(2)        , INTENT(IN), OPTIONAL :: cd_interp
-      CHARACTER(LEN=*), DIMENSION(1)        , INTENT(IN), OPTIONAL :: cd_extrap
-      CHARACTER(LEN=*), DIMENSION(5)        , INTENT(IN), OPTIONAL :: cd_filter
-      CHARACTER(LEN=*),                       INTENT(IN), OPTIONAL :: cd_unt
-      REAL(dp)        ,                       INTENT(IN), OPTIONAL :: dd_unf
 
       ! local variable
@@ -3417,9 +3094,5 @@
       &                         ld_fletcher32=ld_fletcher32,        &
       &                         id_deflvl=id_deflvl,                &
-      &                         id_chunksz=id_chunksz(:),           &
-      &                         cd_interp=cd_interp(:),             &
-      &                         cd_extrap=cd_extrap(:),             &
-      &                         cd_filter=cd_filter(:),             &
-      &                         cd_unt=cd_unt, dd_unf=dd_unf)
+      &                         id_chunksz=id_chunksz(:))
       
       DEALLOCATE( dl_value )
@@ -3443,9 +3116,5 @@
    !
    !> @author J.Paul
-   !> @date November, 2013 - Initial Version
-   !> @date June, 2015
-   !> - add interp, extrap, and filter argument
-   !> @date July, 2015
-   !> - add unit factor (to change unit)
+   !> - November, 2013- Initial Version
    !
    !> @param[in] cd_name         variable name
@@ -3477,9 +3146,4 @@
    !> deflation is in use
    !> @param[in] id_chunksz      chunk size
-   !> @param[in] cd_interp       interpolation method
-   !> @param[in] cd_extrap       extrapolation method
-   !> @param[in] cd_filter       filter method
-   !> @param[in] cd_unt          new units (linked to units factor)
-   !> @param[in] dd_unf          units factor
    !> @return variable structure
    !-------------------------------------------------------------------
@@ -3492,7 +3156,5 @@
    &                                    dd_min, dd_max,           &
    &                                    ld_contiguous, ld_shuffle,&
-   &                                    ld_fletcher32, id_deflvl, id_chunksz, &
-   &                                    cd_interp, cd_extrap, cd_filter, &
-   &                                    cd_unt, dd_unf)
+   &                                    ld_fletcher32, id_deflvl, id_chunksz)
 
       IMPLICIT NONE
@@ -3523,9 +3185,4 @@
       INTEGER(i4)     ,                       INTENT(IN), OPTIONAL :: id_deflvl
       INTEGER(i4)     , DIMENSION(ip_maxdim), INTENT(IN), OPTIONAL :: id_chunksz
-      CHARACTER(LEN=*), DIMENSION(2)        , INTENT(IN), OPTIONAL :: cd_interp
-      CHARACTER(LEN=*), DIMENSION(1)        , INTENT(IN), OPTIONAL :: cd_extrap
-      CHARACTER(LEN=*), DIMENSION(5)        , INTENT(IN), OPTIONAL :: cd_filter
-      CHARACTER(LEN=*),                       INTENT(IN), OPTIONAL :: cd_unt
-      REAL(dp)        ,                       INTENT(IN), OPTIONAL :: dd_unf
 
       ! local variable
@@ -3574,9 +3231,5 @@
       &                         ld_fletcher32=ld_fletcher32,        &
       &                         id_deflvl=id_deflvl,                &
-      &                         id_chunksz=id_chunksz(:),           &
-      &                         cd_interp=cd_interp(:),             &
-      &                         cd_extrap=cd_extrap(:),             &
-      &                         cd_filter=cd_filter(:),             &
-      &                         cd_unt=cd_unt, dd_unf=dd_unf)
+      &                         id_chunksz=id_chunksz(:))
       
       DEALLOCATE( dl_value )
@@ -3600,9 +3253,5 @@
    !
    !> @author J.Paul
-   !> @date November, 2013 - Initial Version
-   !> @date June, 2015
-   !> - add interp, extrap, and filter argument
-   !> @date July, 2015
-   !> - add unit factor (to change unit)
+   !> - November, 2013- Initial Version
    !
    !> @param[in] cd_name         variable name
@@ -3634,10 +3283,4 @@
    !> deflation is in use
    !> @param[in] id_chunksz      chunk size
-   !> @param[in] cd_interp       interpolation method
-   !> @param[in] cd_extrap       extrapolation method
-   !> @param[in] cd_filter       filter method
-   !> @param[in] cd_unt          new units (linked to units factor)
-   !> @param[in] dd_unf          units factor
-
    !> @return variable structure
    !-------------------------------------------------------------------
@@ -3650,7 +3293,5 @@
    &                                 dd_min, dd_max,           &
    &                                 ld_contiguous, ld_shuffle,&
-   &                                 ld_fletcher32, id_deflvl, id_chunksz, &
-   &                                 cd_interp, cd_extrap, cd_filter, &
-   &                                 cd_unt, dd_unf)
+   &                                 ld_fletcher32, id_deflvl, id_chunksz)
 
       IMPLICIT NONE
@@ -3681,9 +3322,4 @@
       INTEGER(i4)     ,                       INTENT(IN), OPTIONAL :: id_deflvl
       INTEGER(i4)     , DIMENSION(ip_maxdim), INTENT(IN), OPTIONAL :: id_chunksz
-      CHARACTER(LEN=*), DIMENSION(2)        , INTENT(IN), OPTIONAL :: cd_interp
-      CHARACTER(LEN=*), DIMENSION(1)        , INTENT(IN), OPTIONAL :: cd_extrap
-      CHARACTER(LEN=*), DIMENSION(5)        , INTENT(IN), OPTIONAL :: cd_filter
-      CHARACTER(LEN=*),                       INTENT(IN), OPTIONAL :: cd_unt
-      REAL(dp)        ,                       INTENT(IN), OPTIONAL :: dd_unf
 
       ! local variable
@@ -3733,9 +3369,5 @@
       &                      ld_fletcher32=ld_fletcher32,        &
       &                      id_deflvl=id_deflvl,                &
-      &                      id_chunksz=id_chunksz(:),           &
-      &                      cd_interp=cd_interp(:),             &
-      &                      cd_extrap=cd_extrap(:),             &
-      &                      cd_filter=cd_filter(:),             &
-      &                      cd_unt=cd_unt, dd_unf=dd_unf)
+      &                      id_chunksz=id_chunksz(:))
       
       DEALLOCATE( dl_value )
@@ -3759,9 +3391,5 @@
    !
    !> @author J.Paul
-   !> @date November, 2013 - Initial Version
-   !> @date June, 2015
-   !> - add interp, extrap, and filter argument
-   !> @date July, 2015
-   !> - add unit factor (to change unit)
+   !> - November, 2013- Initial Version
    !
    !> @param[in] cd_name         variable name
@@ -3793,9 +3421,4 @@
    !> deflation is in use
    !> @param[in] id_chunksz      chunk size
-   !> @param[in] cd_interp       interpolation method
-   !> @param[in] cd_extrap       extrapolation method
-   !> @param[in] cd_filter       filter method
-   !> @param[in] cd_unt          new units (linked to units factor)
-   !> @param[in] dd_unf          units factor
    !> @return variable structure
    !-------------------------------------------------------------------
@@ -3808,7 +3431,5 @@
    &                                    dd_min, dd_max,           &
    &                                    ld_contiguous, ld_shuffle,&
-   &                                    ld_fletcher32, id_deflvl, id_chunksz, &
-   &                                    cd_interp, cd_extrap, cd_filter, &
-   &                                    cd_unt, dd_unf)
+   &                                    ld_fletcher32, id_deflvl, id_chunksz)
 
       IMPLICIT NONE
@@ -3839,10 +3460,4 @@
       INTEGER(i4)     ,                       INTENT(IN), OPTIONAL :: id_deflvl
       INTEGER(i4)     , DIMENSION(ip_maxdim), INTENT(IN), OPTIONAL :: id_chunksz
-      CHARACTER(LEN=*), DIMENSION(2)        , INTENT(IN), OPTIONAL :: cd_interp
-      CHARACTER(LEN=*), DIMENSION(1)        , INTENT(IN), OPTIONAL :: cd_extrap
-      CHARACTER(LEN=*), DIMENSION(5)        , INTENT(IN), OPTIONAL :: cd_filter
-      CHARACTER(LEN=*),                       INTENT(IN), OPTIONAL :: cd_unt
-      REAL(dp)        ,                       INTENT(IN), OPTIONAL :: dd_unf
-
 
       ! local variable
@@ -3888,9 +3503,5 @@
       &                         ld_fletcher32=ld_fletcher32,        &
       &                         id_deflvl=id_deflvl,                &
-      &                         id_chunksz=id_chunksz(:),           &
-      &                         cd_interp=cd_interp(:),             &
-      &                         cd_extrap=cd_extrap(:),             &
-      &                         cd_filter=cd_filter(:),             &
-      &                         cd_unt=cd_unt, dd_unf=dd_unf)
+      &                         id_chunksz=id_chunksz(:))
  
       DEALLOCATE( dl_value )
@@ -3914,9 +3525,5 @@
    !
    !> @author J.Paul
-   !> @date November, 2013 - Initial Version
-   !> @date June, 2015
-   !> - add interp, extrap, and filter argument
-   !> @date July, 2015
-   !> - add unit factor (to change unit)
+   !> - November, 2013- Initial Version
    !
    !> @param[in] cd_name         variable name
@@ -3948,9 +3555,4 @@
    !> deflation is in use
    !> @param[in] id_chunksz      chunk size
-   !> @param[in] cd_interp       interpolation method
-   !> @param[in] cd_extrap       extrapolation method
-   !> @param[in] cd_filter       filter method
-   !> @param[in] cd_unt          new units (linked to units factor)
-   !> @param[in] dd_unf          units factor
    !> @return variable structure
    !-------------------------------------------------------------------
@@ -3963,7 +3565,5 @@
    &                                    dd_min, dd_max,           &
    &                                    ld_contiguous, ld_shuffle,&
-   &                                    ld_fletcher32, id_deflvl, id_chunksz, &
-   &                                    cd_interp, cd_extrap, cd_filter, &
-   &                                    cd_unt, dd_unf)
+   &                                    ld_fletcher32, id_deflvl, id_chunksz)
 
       IMPLICIT NONE
@@ -3994,10 +3594,4 @@
       INTEGER(i4)     ,                       INTENT(IN), OPTIONAL :: id_deflvl
       INTEGER(i4)     , DIMENSION(ip_maxdim), INTENT(IN), OPTIONAL :: id_chunksz
-      CHARACTER(LEN=*), DIMENSION(2)        , INTENT(IN), OPTIONAL :: cd_interp
-      CHARACTER(LEN=*), DIMENSION(1)        , INTENT(IN), OPTIONAL :: cd_extrap
-      CHARACTER(LEN=*), DIMENSION(5)        , INTENT(IN), OPTIONAL :: cd_filter
-      CHARACTER(LEN=*),                       INTENT(IN), OPTIONAL :: cd_unt
-      REAL(dp)        ,                       INTENT(IN), OPTIONAL :: dd_unf
-
 
       ! local variable
@@ -4045,9 +3639,5 @@
       &                         ld_fletcher32=ld_fletcher32,        &
       &                         id_deflvl=id_deflvl,                &
-      &                         id_chunksz=id_chunksz(:),           &
-      &                         cd_interp=cd_interp(:),             &
-      &                         cd_extrap=cd_extrap(:),             &
-      &                         cd_filter=cd_filter(:),             &
-      &                         cd_unt=cd_unt, dd_unf=dd_unf)
+      &                         id_chunksz=id_chunksz(:))
       
       DEALLOCATE( dl_value )
@@ -4071,9 +3661,5 @@
    !
    !> @author J.Paul
-   !> @date November, 2013 - Initial Version
-   !> @date June, 2015
-   !> - add interp, extrap, and filter argument
-   !> @date July, 2015
-   !> - add unit factor (to change unit)
+   !> - November, 2013- Initial Version
    !
    !> @param[in] cd_name         variable name
@@ -4105,9 +3691,4 @@
    !> deflation is in use
    !> @param[in] id_chunksz      chunk size
-   !> @param[in] cd_interp       interpolation method
-   !> @param[in] cd_extrap       extrapolation method
-   !> @param[in] cd_filter       filter method
-   !> @param[in] cd_unt          new units (linked to units factor)
-   !> @param[in] dd_unf          units factor
    !> @return variable structure
    !-------------------------------------------------------------------
@@ -4120,7 +3701,5 @@
    &                                    dd_min, dd_max,           &
    &                                    ld_contiguous, ld_shuffle,&
-   &                                    ld_fletcher32, id_deflvl, id_chunksz, &
-   &                                    cd_interp, cd_extrap, cd_filter, &
-   &                                    cd_unt, dd_unf)
+   &                                    ld_fletcher32, id_deflvl, id_chunksz)
 
       IMPLICIT NONE
@@ -4151,9 +3730,4 @@
       INTEGER(i4)     ,                       INTENT(IN), OPTIONAL :: id_deflvl
       INTEGER(i4)     , DIMENSION(ip_maxdim), INTENT(IN), OPTIONAL :: id_chunksz
-      CHARACTER(LEN=*), DIMENSION(2)        , INTENT(IN), OPTIONAL :: cd_interp
-      CHARACTER(LEN=*), DIMENSION(1)        , INTENT(IN), OPTIONAL :: cd_extrap
-      CHARACTER(LEN=*), DIMENSION(5)        , INTENT(IN), OPTIONAL :: cd_filter
-      CHARACTER(LEN=*),                       INTENT(IN), OPTIONAL :: cd_unt
-      REAL(dp)        ,                       INTENT(IN), OPTIONAL :: dd_unf
 
       ! local variable
@@ -4202,9 +3776,5 @@
       &                         ld_fletcher32=ld_fletcher32,        &
       &                         id_deflvl=id_deflvl,                &
-      &                         id_chunksz=id_chunksz(:),           &
-      &                         cd_interp=cd_interp(:),             &
-      &                         cd_extrap=cd_extrap(:),             &
-      &                         cd_filter=cd_filter(:),             &
-      &                         cd_unt=cd_unt, dd_unf=dd_unf)
+      &                         id_chunksz=id_chunksz(:))
       
       DEALLOCATE( dl_value )
@@ -4228,9 +3798,5 @@
    !
    !> @author J.Paul
-   !> @date November, 2013 - Initial Version
-   !> @date June, 2015
-   !> - add interp, extrap, and filter argument
-   !> @date July, 2015
-   !> - add unit factor (to change unit)
+   !> - November, 2013- Initial Version
    !
    !> @param[in] cd_name         variable name
@@ -4262,9 +3828,4 @@
    !> deflation is in use
    !> @param[in] id_chunksz      chunk size
-   !> @param[in] cd_interp       interpolation method
-   !> @param[in] cd_extrap       extrapolation method
-   !> @param[in] cd_filter       filter method
-   !> @param[in] cd_unt          new units (linked to units factor)
-   !> @param[in] dd_unf          units factor
    !> @return variable structure
    !-------------------------------------------------------------------
@@ -4277,7 +3838,5 @@
    &                                 dd_min, dd_max,           &
    &                                 ld_contiguous, ld_shuffle,&
-   &                                 ld_fletcher32, id_deflvl, id_chunksz, &
-   &                                 cd_interp, cd_extrap, cd_filter, &
-   &                                 cd_unt, dd_unf)
+   &                                 ld_fletcher32, id_deflvl, id_chunksz)
 
       IMPLICIT NONE
@@ -4308,9 +3867,4 @@
       INTEGER(i4)     ,                       INTENT(IN), OPTIONAL :: id_deflvl
       INTEGER(i4)     , DIMENSION(ip_maxdim), INTENT(IN), OPTIONAL :: id_chunksz
-      CHARACTER(LEN=*), DIMENSION(2)        , INTENT(IN), OPTIONAL :: cd_interp
-      CHARACTER(LEN=*), DIMENSION(1)        , INTENT(IN), OPTIONAL :: cd_extrap
-      CHARACTER(LEN=*), DIMENSION(5)        , INTENT(IN), OPTIONAL :: cd_filter
-      CHARACTER(LEN=*),                       INTENT(IN), OPTIONAL :: cd_unt
-      REAL(dp)        ,                       INTENT(IN), OPTIONAL :: dd_unf
 
       ! local variable
@@ -4360,9 +3914,5 @@
       &                      ld_fletcher32=ld_fletcher32,        &
       &                      id_deflvl=id_deflvl,                &
-      &                      id_chunksz=id_chunksz(:),           &
-      &                      cd_interp=cd_interp(:),             &
-      &                      cd_extrap=cd_extrap(:),             &
-      &                      cd_filter=cd_filter(:),             &
-      &                      cd_unt=cd_unt, dd_unf=dd_unf)
+      &                      id_chunksz=id_chunksz(:))
       
       DEALLOCATE( dl_value )
@@ -4386,9 +3936,5 @@
    !
    !> @author J.Paul
-   !> @date November, 2013 - Initial Version
-   !> @date June, 2015
-   !> - add interp, extrap, and filter argument
-   !> @date July, 2015
-   !> - add unit factor (to change unit)
+   !> - November, 2013- Initial Version
    !
    !> @param[in] cd_name         variable name
@@ -4420,9 +3966,4 @@
    !> deflation is in use
    !> @param[in] id_chunksz      chunk size
-   !> @param[in] cd_interp       interpolation method
-   !> @param[in] cd_extrap       extrapolation method
-   !> @param[in] cd_filter       filter method
-   !> @param[in] cd_unt          new units (linked to units factor)
-   !> @param[in] dd_unf          units factor
    !> @return variable structure
    !-------------------------------------------------------------------
@@ -4435,7 +3976,5 @@
    &                                    dd_min, dd_max,           &
    &                                    ld_contiguous, ld_shuffle,&
-   &                                    ld_fletcher32, id_deflvl, id_chunksz, &
-   &                                    cd_interp, cd_extrap, cd_filter, &
-   &                                    cd_unt, dd_unf)
+   &                                    ld_fletcher32, id_deflvl, id_chunksz)
 
       IMPLICIT NONE
@@ -4466,9 +4005,4 @@
       INTEGER(i4)     ,                       INTENT(IN), OPTIONAL :: id_deflvl
       INTEGER(i4)     , DIMENSION(ip_maxdim), INTENT(IN), OPTIONAL :: id_chunksz
-      CHARACTER(LEN=*), DIMENSION(2)        , INTENT(IN), OPTIONAL :: cd_interp
-      CHARACTER(LEN=*), DIMENSION(1)        , INTENT(IN), OPTIONAL :: cd_extrap
-      CHARACTER(LEN=*), DIMENSION(5)        , INTENT(IN), OPTIONAL :: cd_filter
-      CHARACTER(LEN=*),                       INTENT(IN), OPTIONAL :: cd_unt
-      REAL(dp)        ,                       INTENT(IN), OPTIONAL :: dd_unf
 
       ! local variable
@@ -4514,9 +4048,5 @@
       &                         ld_fletcher32=ld_fletcher32,        &
       &                         id_deflvl=id_deflvl,                &
-      &                         id_chunksz=id_chunksz(:),           &
-      &                         cd_interp=cd_interp(:),             &
-      &                         cd_extrap=cd_extrap(:),             &
-      &                         cd_filter=cd_filter(:),             &
-      &                         cd_unt=cd_unt, dd_unf=dd_unf)
+      &                         id_chunksz=id_chunksz(:))
  
       DEALLOCATE( dl_value )
@@ -4540,9 +4070,5 @@
    !
    !> @author J.Paul
-   !> @date November, 2013 - Initial Version
-   !> @date June, 2015
-   !> - add interp, extrap, and filter argument
-   !> @date July, 2015
-   !> - add unit factor (to change unit)
+   !> - November, 2013- Initial Version
    !
    !> @param[in] cd_name         variable name
@@ -4574,9 +4100,4 @@
    !> deflation is in use
    !> @param[in] id_chunksz      chunk size
-   !> @param[in] cd_interp       interpolation method
-   !> @param[in] cd_extrap       extrapolation method
-   !> @param[in] cd_filter       filter method
-   !> @param[in] cd_unt          new units (linked to units factor)
-   !> @param[in] dd_unf          units factor
    !> @return variable structure
    !-------------------------------------------------------------------
@@ -4589,7 +4110,5 @@
    &                                    dd_min, dd_max,           &
    &                                    ld_contiguous, ld_shuffle,&
-   &                                    ld_fletcher32, id_deflvl, id_chunksz, &
-   &                                    cd_interp, cd_extrap, cd_filter, &
-   &                                    cd_unt, dd_unf)
+   &                                    ld_fletcher32, id_deflvl, id_chunksz)
 
       IMPLICIT NONE
@@ -4620,9 +4139,4 @@
       INTEGER(i4)     ,                       INTENT(IN), OPTIONAL :: id_deflvl
       INTEGER(i4)     , DIMENSION(ip_maxdim), INTENT(IN), OPTIONAL :: id_chunksz
-      CHARACTER(LEN=*), DIMENSION(2)        , INTENT(IN), OPTIONAL :: cd_interp
-      CHARACTER(LEN=*), DIMENSION(1)        , INTENT(IN), OPTIONAL :: cd_extrap
-      CHARACTER(LEN=*), DIMENSION(5)        , INTENT(IN), OPTIONAL :: cd_filter
-      CHARACTER(LEN=*),                       INTENT(IN), OPTIONAL :: cd_unt
-      REAL(dp)        ,                       INTENT(IN), OPTIONAL :: dd_unf
 
       ! local variable
@@ -4670,9 +4184,5 @@
       &                         ld_fletcher32=ld_fletcher32,        &
       &                         id_deflvl=id_deflvl,                &
-      &                         id_chunksz=id_chunksz(:),           &
-      &                         cd_interp=cd_interp(:),             &
-      &                         cd_extrap=cd_extrap(:),             &
-      &                         cd_filter=cd_filter(:),             &
-      &                         cd_unt=cd_unt, dd_unf=dd_unf)
+      &                         id_chunksz=id_chunksz(:))
       
       DEALLOCATE( dl_value )
